Bug 842633 - Review Request: (Rename request) python-django-authopenid - OpenID authentication application for Django
Review Request: (Rename request) python-django-authopenid - OpenID authentica...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 840358
  Show dependency treegraph
 
Reported: 2012-07-24 05:45 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-09-03 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 10:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-07-24 05:45:16 EDT
Spec URL: http://ankursinha.fedorapeople.org/python-django-authopenid/python-django-authopenid.spec

SRPM URL: http://ankursinha.fedorapeople.org/python-django-authopenid/python-django-authopenid-1.0.1-1.fc18.src.rpm

Description: Django authentication application with openid using django auth contrib. This application allows a user to connect to you website with a legacy account (user name/password) or an openid URL.

Fedora Account System Username: ankursinha

+++ Rpmlint output when run on mock output and spec:
[ankur@ankur SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm python-django-authopenid-1.0.1-1.fc17.src.rpm ../SPECS/python-django-authopenid.spec
python-django-authopenid.noarch: W: spelling-error Summary(en_US) Openid -> Opined, Opened, Open id
python-django-authopenid.noarch: W: spelling-error %description -l en_US openid -> opined, opened, open id
python-django-authopenid.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
python-django-authopenid.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
python-django-authopenid.noarch: W: self-obsoletion django-authopenid < 1.0.1-4 obsoletes django-authopenid = 1.0.1-1.fc18
python-django-authopenid.src: W: spelling-error Summary(en_US) Openid -> Opined, Opened, Open id
python-django-authopenid.src: W: spelling-error %description -l en_US openid -> opined, opened, open id
python-django-authopenid.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
python-django-authopenid.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
python-django-authopenid.src: W: spelling-error Summary(en_US) Openid -> Opined, Opened, Open id
python-django-authopenid.src: W: spelling-error %description -l en_US openid -> opined, opened, open id
python-django-authopenid.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
python-django-authopenid.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
3 packages and 1 specfiles checked; 0 errors, 13 warnings.
[ankur@ankur SRPMS]$
Comment 1 Bohuslav "Slavek" Kabrda 2012-07-24 10:00:02 EDT
I'll take this for a review.
Comment 2 Bohuslav "Slavek" Kabrda 2012-07-24 10:08:19 EDT
- Probably just a typo: Your VR is 1.0.1-1, but you obsolete django-authopenid < 1.0.1-4. That should be 1.0.1-1, right?
- You should remove the egg-info directory in the %prep section, so that it gets recreated by python setup.py build.

Otherwise the package looks good, so once you correct these nits, I will approve it.
Comment 3 Ankur Sinha (FranciscoD) 2012-07-25 08:27:57 EDT
(In reply to comment #2)
> - Probably just a typo: Your VR is 1.0.1-1, but you obsolete
> django-authopenid < 1.0.1-4. That should be 1.0.1-1, right?

Hey Bohuslav,

Not sure about this:

The django-authopenid package (that I'm renaming to python-django-authopenid) had a current running package VR of 1.0.1-3. According to the example here[1], the obsolete is correct:

python-django-authopeind-1.0.1-2 (latest spec) obsoletes django-authopenid < 1.0.1-4 (so, 1.0.1-{1,2,3})

The comment in the example says: "# Obsolete anything that is lower than the _bumped release_ of the renamed package. Obsolete with hardcoded values of renamed package"

Do have a look and let me know? I'll make the change if required, it's really a tiny one. 

> - You should remove the egg-info directory in the %prep section, so that it
> gets recreated by python setup.py build.

Done. 

> 
> Otherwise the package looks good, so once you correct these nits, I will
> approve it.

New spec/srpm:

http://ankursinha.fedorapeople.org/python-django-authopenid/python-django-authopenid.spec

http://ankursinha.fedorapeople.org/python-django-authopenid/python-django-authopenid-1.0.1-2.fc17.src.rpm

* Wed Jul 25 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.0.1-2
- Remove egg-info to ensure that setup.py builds it #842633

[1] https://fedoraproject.org/wiki/User:Bkabrda/Django_rename#django-bar

Thanks,
Ankur
Comment 4 Bohuslav "Slavek" Kabrda 2012-07-25 08:41:19 EDT
Yes, that thing on my page is not clear enough - the initial release of python-django-authopenid package should have already been 4, because the release of obsoleted package was 3, see [1].
So please bump your release to 4 before commiting to dist-git :) And don't forget to retire django-authopenid properly. Thanks!

[1] http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

This package is APPROVED.
Comment 5 Ankur Sinha (FranciscoD) 2012-07-25 08:53:07 EDT
(In reply to comment #4)
> Yes, that thing on my page is not clear enough - the initial release of
> python-django-authopenid package should have already been 4, because the
> release of obsoleted package was 3, see [1].
> So please bump your release to 4 before commiting to dist-git :) And don't
> forget to retire django-authopenid properly. Thanks!

Ah. Done:

http://ankursinha.fedorapeople.org/python-django-authopenid/python-django-authopenid-1.0.1-4.fc17.src.rpm

http://ankursinha.fedorapeople.org/python-django-authopenid/python-django-authopenid.spec

> 
> [1]
> http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.
> 2FReplacing_Existing_Packages
> 
> This package is APPROVED.

Thanks for the quick review Bohuslav :)
Comment 6 Ankur Sinha (FranciscoD) 2012-07-25 08:56:22 EDT
New Package SCM Request
=======================
Package Name: python-django-authopenid
Short Description: OpenID authentication application for Django
Owners: ankursinha
Branches: f16 f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-07-25 09:03:27 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-07-25 20:19:21 EDT
python-django-authopenid-1.0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-django-authopenid-1.0.1-4.fc16
Comment 9 Fedora Update System 2012-07-25 20:19:30 EDT
python-django-authopenid-1.0.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-django-authopenid-1.0.1-4.fc17
Comment 10 Fedora Update System 2012-07-26 18:25:31 EDT
python-django-authopenid-1.0.1-4.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Bohuslav "Slavek" Kabrda 2012-08-20 10:40:53 EDT
Closing this bug, since the package has been successfully renamed and the old one has been deprecated properly.
Comment 12 Fedora Update System 2012-09-03 18:56:20 EDT
python-django-authopenid-1.0.1-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-09-03 18:57:06 EDT
python-django-authopenid-1.0.1-4.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.